<template>
  <div class="goods-manage-wrap">
    <div class="buttonBox">
      <el-button v-for="(item,index) in headerData" :key="index" size="small" :class="{ active: buttonshow==index }" @click="headerButtonClick(index,item.status)">{{item.statusName}}（{{item.count}}）</el-button>
    </div>
    <div class="filterBox">
      <div class="homeBoxTop"><span><i class="icon iconfont iconsousuo"></i>&nbsp;筛选查询</span>
        <div class="rightBox">
         <span @click="showHelp()"><i class="el-icon-arrow-down" v-show="!isShow"></i><i class="el-icon-arrow-up" v-show="isShow"></i>&nbsp;<i v-show="isShow">收起</i><i v-show="!isShow">展开</i>&nbsp;筛选</span>
          <el-button size="small" class="w80 h40" @click="search">查询结果</el-button>
          <el-button size="small" class="w80 h40" @click="reset">重置</el-button>
        </div>
      </div>
      <el-collapse-transition>
        <div class="homeBoxBottom" v-if="isShow">
          <el-row style="width:100%">
            <el-col :span="8" class="el-col">
              <span class="span-style">订单编号：</span>
              <el-input    
                v-model="list.orderNo"
                placeholder="请输入订单编号"
                clearable>
              </el-input>
            </el-col>
            <el-col :span="8" class="el-col">
              <span class="span-style">商品名称：</span>
              <el-select
                v-model="list.goodsName"
                filterable
                remote
                clearable
                placeholder="商品名称"
                :remote-method="goodsNameRemote"
                style="margin-left:0px;"
                :loading="loading">
                <el-option
                  v-for="item in goodsNames"
                  :key="item.id"
                  :label="item.name"
                  :value="item.id">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <el-row style="width:100%">
            <el-col :span="12" class="el-col">
              <span class="span-style">下单日期：</span>
              <div class="time-box">
                <el-date-picker
                    v-model="list.startTime"
                    type="datetime"
                    value-format="yyyy-MM-dd HH:mm:ss"
                    placeholder="选择日期时间">
                  </el-date-picker>
                  <div class="text">至</div>
                  <el-date-picker
                    v-model="list.overTime"
                    type="datetime"
                    value-format="yyyy-MM-dd HH:mm:ss"
                    placeholder="选择日期时间">
                  </el-date-picker>
                </div>
            </el-col>
          </el-row>
        </div>
      </el-collapse-transition>
    </div>
    <div class="listBox">
      <div class="listBoxTop">
        <div class="listBoxTop-left">
          <span><i class="iconfont iconshujuliebiao"></i>数据列表</span>
        </div>
        <div class="listBoxRight">
          <el-button size="small" @click="exportGoods"><i class="iconfont icondaochu" ></i>导出</el-button>
        </div>
      </div>
      <el-table
        :data="tableData"
        ref="multipleTable"
        border
        style="width: 100%"
        size="small">
        <el-table-column
          type="selection"
          fixed="left"
          width="55">
        </el-table-column>
        <el-table-column
          prop="orderNo"
          label="订单编号"
          align="center">
        </el-table-column>
        <el-table-column
          prop="createTime"
          label="下单日期"
          align="center">
        </el-table-column>
        <el-table-column
          prop="skuName"
          label="商品名称"
          align="center">
        </el-table-column>
        <el-table-column
          prop="amount"
          label="数量"
          align="center">
        </el-table-column>
        <el-table-column
          prop="currentPrice"
          label="价格"
          align="center">
        </el-table-column> 
        <el-table-column
          prop="quantity"
          label="小计"
          align="center">
        </el-table-column>
        <el-table-column
          prop="quantity"
          label="付款流水号"
          align="center">
        </el-table-column> 
        <el-table-column
          prop="status"
          label="状态"
          :formatter="changeStatus"
          align="center">
        </el-table-column>
      </el-table>
    </div>
    <div class="block" v-show="list.total!=0">
      <el-pagination
          @current-change="currentPageChange"
          @size-change="pageSizeChange"
          :current-page="list.pageNum"
          :page-size="list.pageSize"
          :page-sizes="[10,20,30,40,50,100,200,500]"
          layout="total,sizes, prev, pager, next, jumper"
          :total="list.total">
      </el-pagination>
    </div>
  </div>
</template>

<script>

import {getOrderStatus,getOrderList} from '@/api/orderManage/orderManage';

export default {
  name: 'OrderManage',
  data(){
    return{
      headerData:[],
      buttonshow:0,
      isShow:false,
      list:{
        orderNo:null,
        overTime:null,
        pageNum: 1,
        pageSize: 10,
        goodsName:null,
        skuId: null,
        startTime:null,
        status:null,
        total:0,
      },
      goodsNames:[],
      tableData:[],
      editData:{
        isEdit:false
      },
      loading:false
    }
  },
  created(){
    this.getOrderStatus();
    this.getOrderList();
  },
  methods:{
    headerButtonClick(index,status){
      console.log(status);
    },
    getOrderStatus(){
      getOrderStatus().then((res)=>{
        if(res.code=='000000'){
          this.headerData=res.data;
        }
      })
    },
    getOrderList(){
      getOrderList(this.list).then((res)=>{
        if(res.code=='000000'){
          this.tableData=res.data.items;
          this.list.total=res.data.total;
        }
      })
    },
    changeStatus(row){
      switch(row.status){
        case 'WAIT_PAYMENT':
          return '待付款';
        break;
      }
    },
    showHelp(){
      this.isShow=!this.isShow;
    },
    search(){

    },
    reset(){

    },
    goodsNameRemote(){

    },
    exportGoods(){

    },
    pageSizeChange(){

    },
    currentPageChange(){

    },
    switchHandle(val,row){
      if(val){
        row.discountPrice=(row.goodsPrice*row.discountRate).toFixed(2);
      }else{
        row.discountPrice=row.goodsPrice;
      }
    }
  }
}
</script>

<style scoped lang='less'>
  @color:#f3f3f3;
 .goods-manage-wrap {
    width: 100%;
    box-sizing: border-box;
    .buttonBox {
      margin-top: 10px;
      text-align: left;
      .active{
      	background-color: #339999;
      	border-color: #339999;
      	color: #FFFFFF;
      }
    }
    .filterBox {
      font-size: 12px;
      background-color: #f3f3f3;
      margin-top: 10px;
      clear: both;
      border: 1px solid #e4e4e4;
      .homeBoxTop{
        height: 50px;
        display: flex;
        justify-content: space-between;
        line-height: 50px;
        padding-left: 20px;
        background-color: #f3f3f3;
        .head-left{
          display: flex;
          align-items: center;
        }
        .myicon{
          font-weight: bold;
          color:#666;
          font-size: 20px;
          line-height: 50px;
          margin-right: 5px;
        }
      }
      span {
        font-size: 14px;
        color: #303133;
      }
      .rightBox {
        float: right;
        span{
        	cursor: pointer;
        }
        .myicon{
          color: #999;
          font-size: 10px;
        }
      }
      .el-button {
        float: right;
        height: 30px;
        margin: 10px 10px 0 10px;
      }
      .homeBoxBottom {
        display: flex;
        flex-wrap: wrap;
        border-top: 1px solid #e4e4e4;
        padding-top: 10px;
        /deep/.el-row{
          /deep/.el-col{
            display: flex;
            flex-wrap: nowrap;
          }
          .span-style{
            display:inline-block;
            width:100px;
            text-align:right;
            line-height: 40px;
          }
          .el-input {
            width: 50%;
            height: 40px;
            margin-right: 10px;
            margin-bottom: 10px;
          }
          .el-select{
            width: 50%;
            height: 40px;
            margin-left: 10px;
            margin-bottom: 10px;
            .el-input {
              width: 100%;
            }
          }
          .el-autocomplete{
            width: 50%;
            height: 40px;
            .el-input {
              width: 100%;
            }
          }
        }
        .address-wrap{
          display: inline-flex;
          flex-wrap: nowrap;
          width: 80%;
          /deep/.el-select{
            width: 30%;
            .el-input{
              width: 100%;
            }
          }
        }
        .time-box{
            width: 60%;
            height: 40px;
            display: flex;
            justify-content:flex-start;
            align-items: center;
            span{
              margin-left: 20px;
            }
            .el-date-editor{
              width: 50%;
              height: 40px;
              margin-left: 0;
              margin-bottom: 0;
            }
            .text{
              line-height: 40px;
            }
          }
      }
    }
    .listBox {
      font-size: 12px;
      background-color:@color;
      border: 1px solid #e4e4e4;
      clear: both;
      margin: 10px 0 0 0;
      .listBoxTop {
        display: flex;
        justify-content: space-between;
        flex-shrink: 0;
        flex-grow: 0;
        flex-wrap: nowrap;
        .listBoxTop-left{
          margin-left: 10px;
          width: 85px;
          .myicon{
            margin-left: 20px;
            font-weight: bold;
            font-size: 20px;
          }
          span {
            margin-left: 5px;
            font-size: 14px;
            color: #303133;
            white-space: nowrap;
            line-height: 50px;
          }
        }
      }
      .listBoxRight {
        display: flex;
        justify-content: flex-end;
        flex-wrap: wrap;
        align-items: center;
        margin:0 20px 0 0;
        .el-button {
         padding: 9px 15px;
         border-radius: 3px;
         font-size: 12px;
        }
      }
      /deep/.el-table {
        margin-top: -2px;
        /deep/.warning-row {
          background: #ffc1c1;
        }
        .el-button {
          font-size: 12px;
        }
        /deep/.class-name{
          .cell{
            color: red;
          }
        }
      }
    }
    .block {
      margin-top: 2px;
      display: flex;
      justify-content: flex-end;
    }
    .my-scroll-bar{
      height:200px;
    }
  }
</style> 
